Bug 1130224 - Errata - Date and Content filter does not maintain changes
Summary: Errata - Date and Content filter does not maintain changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1128471
Blocks: 1130651
TreeView+ depends on / blocked
 
Reported: 2014-08-14 15:02 UTC by Walden Raines
Modified: 2017-02-23 21:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7088 None None None 2016-04-22 16:04:14 UTC
Red Hat Bugzilla 1128471 None None None Never

Internal Links: 1128471

Description Walden Raines 2014-08-14 15:02:27 UTC
If you make a change to an errata date and content filter and then navigate away and back your changes are not preserved even though they are actually saved.  If you refresh the page the changes show up.

1. Create a content view
2. Select content view -> Content Tab -> Filters
3. Click +New Filter
4. Enter Name, Content Type -> Errata - Date and Type -> Include. Click Save. It goes to Erratum Date Range Tab
5. Check Security, Enhancement, Bug Fix
7. Enter Start Date and End Date
8. Click Save - I got the message "Updated errata filter - filter3"
9. Click on Affected Repositories tab
10. Click on Erratum Date Range Tab again - FAIL - Notice that the date is showing empty.

Comment 1 Walden Raines 2014-08-14 15:04:42 UTC
Created redmine issue http://projects.theforeman.org/issues/7088 from this bug

Comment 3 Walden Raines 2014-08-14 15:08:59 UTC
PR: https://github.com/Katello/katello/pull/4581

Comment 4 Bryan Kearney 2014-08-15 16:04:44 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7088 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|f7e761508dca022618f7f1ca04ada6de07e0aba1.

Comment 7 sthirugn@redhat.com 2015-02-13 19:48:22 UTC
Failed. I used the same steps as described in the bug. (foreman-debug attached)

Version Tested:
Satellite-6.1.0-RHEL-6-20150210.0

Comment 9 Walden Raines 2015-02-18 18:15:57 UTC
PR:  https://github.com/Katello/katello/pull/5025

Comment 10 Walden Raines 2015-02-20 15:45:38 UTC
Not sure why this wasn't automatically closed:

commit c8623e9e81bbe3dc12f23cc7ae1dded09de07ec3
Merge: a69e8fb 172f7c1
Author: Walden Raines <walden@redhat.com>
Date:   Thu Feb 19 08:48:16 2015 -0500

    Merge pull request #5025 from waldenraines/7088
    
    Fixes #7088: set filter rule to updated rule on save.

commit 172f7c11cd8f9da716a1be855f86be376930c0b0
Author: Walden Raines <walden@redhat.com>
Date:   Wed Feb 18 11:20:28 2015 -0500

    Fixes #7088: set filter rule to updated rule on save.
    
    http://projects.theforeman.org/issues/7088
    https://bugzilla.redhat.com/show_bug.cgi?id=1130224

Comment 11 Walden Raines 2015-02-20 15:47:22 UTC
*** Bug 1194713 has been marked as a duplicate of this bug. ***

Comment 13 sthirugn@redhat.com 2015-03-03 16:44:31 UTC
Verified.

Version Tested:
Satellite-6.1.0-RHEL-6-20150224.0

Comment 14 Bryan Kearney 2015-08-11 13:21:07 UTC
This bug is slated to be released with Satellite 6.1.

Comment 15 errata-xmlrpc 2015-08-12 05:14:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.